---
document: modulemd
version: 2
data:
  name: pki-deps
  stream: 10.6
  version: 8050020211109192803
  context: b4937e53
  summary: PKI Dependencies module for PKI 10.6 or later
  description: >-
    A module to contain dependencies for PKI version 10.6 or later.
  license:
    module:
    - MIT
  xmd:
    mbs:
      buildrequires:
        platform:
          context: 00000000
          filtered_rpms: []
          koji_tag: module-centos-8.5.0-build
          ref: virtual
          stream: el8.5.0
          stream_collision_modules: 
          ursine_rpms: 
          version: 2
      commit: d900965acbabc34d9521114a8225b1e6c25fd404
      mse: TRUE
      rpms:
        apache-commons-collections:
          ref: 7a85885179cc992557ac1ba31a1ca84ad34e275a
        apache-commons-lang:
          ref: 9809b34ec72b76cdf036f588eef47c63804a95be
        apache-commons-net:
          ref: 61d40e44c456c357065e9d6253fee89a82288530
        bea-stax:
          ref: bc6a274bc0505176ad0c4031b651eeab53d9b3d9
        fasterxml-oss-parent:
          ref: 8eb207af161eaee02e3231b3dd73e47ffd4e121d
        glassfish-fastinfoset:
          ref: 992e9e3b269cfb60d305ac8018f682afa7ac255f
        glassfish-jax-rs-api:
          ref: 08bb64b9da7595e4b162f01f9e2391a85c0f71ec
        glassfish-jaxb:
          ref: 081e5f6557eacaf566b4d4c513b62b9ee0c7b80e
        glassfish-jaxb-api:
          ref: 9788ec919d0465cc5bbb6ffe2afec03aa349bbf9
        jackson-annotations:
          ref: a6491decca97e0d453e6d4563dd8e4e4cee732cb
        jackson-bom:
          ref: ad8304bce5bc508452fd1eee56fbc31213a2ed5a
        jackson-core:
          ref: dafec84ce580c4ef69c1973942b00b464ed2f1aa
        jackson-databind:
          ref: d3142a2108777fd27e82830610165d7259d0fca9
        jackson-jaxrs-providers:
          ref: efbb5231cf3059a073d3b4355d3b760fb1d35bd2
        jackson-module-jaxb-annotations:
          ref: 6b71bba8019c4b96e32962613d3fb8d9e2a05bb4
        jackson-parent:
          ref: 21e431c84efd945cb3a778f1c0685fca9b9589f9
        jakarta-commons-httpclient:
          ref: b03f6aef04ad2211c22ef962de72b785edf00d67
        javassist:
          ref: b2089c52bb120308fe066c291a27e3d2a3291ffd
        msv:
          ref: 7e4b00d2028cc4e8fb9ed5777adcf5a7922b981c
        pki-servlet-engine:
          ref: 78b5446db08ca988523cbe73f844495e398d1d7f
        python-nss:
          ref: dde0861263ed6e758c96e01464f3a27baef1f870
        relaxngDatatype:
          ref: 53ce735953551625d79e2d78b22f5f380d72f17b
        relaxngcc:
          ref: fe167830c1060ff02f5f352ff9742c8032b18373
        resteasy:
          ref: 7ea81f524a563efc6fa80b9ae3cb1dcc65422f24
        slf4j:
          ref: 30acaf5ccfac594f3a85e8d78fd5e8c8113cac56
        stax-ex:
          ref: e77bbf51ec38c0aaa6e7b9d2d4404dd70e575f66
        velocity:
          ref: 8ca20943c4b72ee2622629cc353d0228c079e650
        xalan-j2:
          ref: e2634f8fb286e389de4ff214a2c0ef0fd23cc2fe
        xerces-j2:
          ref: 591f173be5112093c66f2d10ff88468a8f0c9a2a
        xml-commons-apis:
          ref: c39584827e8ee224ed89e081cbbea6b889c9ae46
        xml-commons-resolver:
          ref: 2f1ac8fb5c51f1d15c0b0cfc7b235476c3570144
        xml-stylebook:
          ref: 9505d2260a682775f91333fec6a8aa0bbaa5f0c0
        xmlstreambuffer:
          ref: ab678a7fcf631b76a2f5527351b49e4ebd8bda56
        xsom:
          ref: a3496c21bc44efed821ce4259abd0b0d4df85c2b
      scmurl: git+https://git.centos.org/modules/pki-deps.git?#d900965acbabc34d9521114a8225b1e6c25fd404
  dependencies:
  - buildrequires:
      platform: [el8.5.0]
    requires:
      platform: [el8]
  references:
    community: http://www.dogtagpki.org
    documentation: http://www.dogtagpki.org
    tracker: https://pagure.io/dogtagpki/issues
  filter:
    rpms:
    - apache-commons-collections-javadoc
    - apache-commons-collections-testframework
    - apache-commons-lang-javadoc
    - apache-commons-net-javadoc
    - bea-stax
    - bea-stax-javadoc
    - fasterxml-oss-parent
    - glassfish-fastinfoset-javadoc
    - glassfish-jax-rs-api
    - glassfish-jax-rs-api-javadoc
    - glassfish-jaxb
    - glassfish-jaxb-api-javadoc
    - glassfish-jaxb-bom
    - glassfish-jaxb-bom-ext
    - glassfish-jaxb-codemodel
    - glassfish-jaxb-codemodel-annotation-compiler
    - glassfish-jaxb-codemodel-parent
    - glassfish-jaxb-external-parent
    - glassfish-jaxb-parent
    - glassfish-jaxb-rngom
    - glassfish-jaxb-runtime-parent
    - glassfish-jaxb-txw-parent
    - jackson-annotations-javadoc
    - jackson-bom
    - jackson-core-javadoc
    - jackson-databind-javadoc
    - jackson-jaxrs-providers-datatypes
    - jackson-jaxrs-providers-javadoc
    - jackson-jaxrs-providers-parent
    - jackson-module-jaxb-annotations-javadoc
    - jackson-parent
    - jakarta-commons-httpclient-demo
    - jakarta-commons-httpclient-javadoc
    - jakarta-commons-httpclient-manual
    - jcl-over-slf4j
    - jul-to-slf4j
    - log4j-over-slf4j
    - msv-demo
    - msv-javadoc
    - msv-manual
    - msv-msv
    - msv-rngconv
    - msv-xmlgen
    - msv-xsdlib
    - relaxngDatatype-javadoc
    - relaxngcc
    - relaxngcc-javadoc
    - resteasy-javadoc
    - slf4j-ext
    - slf4j-javadoc
    - slf4j-jcl
    - slf4j-log4j12
    - slf4j-manual
    - slf4j-sources
    - stax-ex-javadoc
    - velocity-demo
    - velocity-javadoc
    - velocity-manual
    - xalan-j2-demo
    - xalan-j2-javadoc
    - xalan-j2-manual
    - xalan-j2-xsltc
    - xerces-j2-demo
    - xerces-j2-javadoc
    - xml-commons-apis-javadoc
    - xml-commons-apis-manual
    - xml-commons-resolver-javadoc
    - xml-stylebook
    - xml-stylebook-demo
    - xml-stylebook-javadoc
    - xmlstreambuffer-javadoc
    - xsom-javadoc
  buildopts:
    rpms:
      macros: >
        %_with_xmvn_javadoc 1

        %_without_asciidoc 1

        %_without_avalon 1

        %_without_bouncycastle 1

        %_without_cython 1

        %_without_dafsa 1

        %_without_desktop 1

        %_without_doxygen 1

        %_without_dtd 1

        %_without_eclipse 1

        %_without_ehcache 1

        %_without_emacs 1

        %_without_equinox 1

        %_without_fop 1

        %_without_ftp 1

        %_without_gradle 1

        %_without_groovy 1

        %_without_hadoop 1

        %_without_hsqldb 1

        %_without_itext 1

        %_without_jackson 1

        %_without_jmh 1

        %_without_jna 1

        %_without_jpa 1

        %_without_junit5 1

        %_without_logback 1

        %_without_markdown 1

        %_without_memcached 1

        %_without_memoryfilesystem 1

        %_without_obr 1

        %_without_python 1

        %_without_reporting 1

        %_without_scm 1

        %_without_snappy 1

        %_without_spring 1

        %_without_ssh 1

        %_without_testlib 1
  components:
    rpms:
      apache-commons-collections:
        rationale: Apache Commons Collections packages
        repository: git+https://git.centos.org/rpms/apache-commons-collections
        cache: https://git.centos.org/repo/pkgs/apache-commons-collections
        ref: 7a85885179cc992557ac1ba31a1ca84ad34e275a
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-lang:
        rationale: Apache Commons Lang packages
        repository: git+https://git.centos.org/rpms/apache-commons-lang
        cache: https://git.centos.org/repo/pkgs/apache-commons-lang
        ref: 9809b34ec72b76cdf036f588eef47c63804a95be
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-net:
        rationale: Apache Commons Net packages
        repository: git+https://git.centos.org/rpms/apache-commons-net
        cache: https://git.centos.org/repo/pkgs/apache-commons-net
        ref: 61d40e44c456c357065e9d6253fee89a82288530
        arches: [aarch64, i686, ppc64le, x86_64]
      bea-stax:
        rationale: BEA StAX packages
        repository: git+https://git.centos.org/rpms/bea-stax
        cache: https://git.centos.org/repo/pkgs/bea-stax
        ref: bc6a274bc0505176ad0c4031b651eeab53d9b3d9
        arches: [aarch64, i686, ppc64le, x86_64]
      fasterxml-oss-parent:
        rationale: FasterXML parent pom BuildRequired by jackson-parent.
        repository: git+https://git.centos.org/rpms/fasterxml-oss-parent
        cache: https://git.centos.org/repo/pkgs/fasterxml-oss-parent
        ref: 8eb207af161eaee02e3231b3dd73e47ffd4e121d
        arches: [aarch64, i686, ppc64le, x86_64]
      glassfish-fastinfoset:
        rationale: Fast XML Information Set package Requires xmlstreambuffer, xsom.
        repository: git+https://git.centos.org/rpms/glassfish-fastinfoset
        cache: https://git.centos.org/repo/pkgs/glassfish-fastinfoset
        ref: 992e9e3b269cfb60d305ac8018f682afa7ac255f
        buildorder: 4
        arches: [aarch64, i686, ppc64le, x86_64]
      glassfish-jax-rs-api:
        rationale: GlassFish JAX-RS API packages
        repository: git+https://git.centos.org/rpms/glassfish-jax-rs-api
        cache: https://git.centos.org/repo/pkgs/glassfish-jax-rs-api
        ref: 08bb64b9da7595e4b162f01f9e2391a85c0f71ec
        arches: [aarch64, i686, ppc64le, x86_64]
      glassfish-jaxb:
        rationale: JAXB Reference Implementation BuildRequires istack-commons. Requires
          glassfish-fastinfoset, glassfish-jaxb-api.
        repository: git+https://git.centos.org/rpms/glassfish-jaxb
        cache: https://git.centos.org/repo/pkgs/glassfish-jaxb
        ref: 081e5f6557eacaf566b4d4c513b62b9ee0c7b80e
        buildorder: 5
        arches: [aarch64, i686, ppc64le, x86_64]
      glassfish-jaxb-api:
        rationale: GlassFish JAXB API packages
        repository: git+https://git.centos.org/rpms/glassfish-jaxb-api
        cache: https://git.centos.org/repo/pkgs/glassfish-jaxb-api
        ref: 9788ec919d0465cc5bbb6ffe2afec03aa349bbf9
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-annotations:
        rationale: Jackson Annotations packages
        repository: git+https://git.centos.org/rpms/jackson-annotations
        cache: https://git.centos.org/repo/pkgs/jackson-annotations
        ref: a6491decca97e0d453e6d4563dd8e4e4cee732cb
        buildorder: 13
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-bom:
        rationale: Jackson Bill-of-Materials POM packages
        repository: git+https://git.centos.org/rpms/jackson-bom
        cache: https://git.centos.org/repo/pkgs/jackson-bom
        ref: ad8304bce5bc508452fd1eee56fbc31213a2ed5a
        buildorder: 11
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-core:
        rationale: Jackson Core packages
        repository: git+https://git.centos.org/rpms/jackson-core
        cache: https://git.centos.org/repo/pkgs/jackson-core
        ref: dafec84ce580c4ef69c1973942b00b464ed2f1aa
        buildorder: 12
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-databind:
        rationale: Jackson Data-binding packages
        repository: git+https://git.centos.org/rpms/jackson-databind
        cache: https://git.centos.org/repo/pkgs/jackson-databind
        ref: d3142a2108777fd27e82830610165d7259d0fca9
        buildorder: 14
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-jaxrs-providers:
        rationale: Jackson JAX-RS Providers packages
        repository: git+https://git.centos.org/rpms/jackson-jaxrs-providers
        cache: https://git.centos.org/repo/pkgs/jackson-jaxrs-providers
        ref: efbb5231cf3059a073d3b4355d3b760fb1d35bd2
        buildorder: 16
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-module-jaxb-annotations:
        rationale: Jackson JAXB Annotations packages
        repository: git+https://git.centos.org/rpms/jackson-module-jaxb-annotations
        cache: https://git.centos.org/repo/pkgs/jackson-module-jaxb-annotations
        ref: 6b71bba8019c4b96e32962613d3fb8d9e2a05bb4
        buildorder: 15
        arches: [aarch64, i686, ppc64le, x86_64]
      jackson-parent:
        rationale: Jackson Parent POM packages BuildRequires fasterxml-oss-parent.
        repository: git+https://git.centos.org/rpms/jackson-parent
        cache: https://git.centos.org/repo/pkgs/jackson-parent
        ref: 21e431c84efd945cb3a778f1c0685fca9b9589f9
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      jakarta-commons-httpclient:
        rationale: Jakarta Commons HTTPClient packages
        repository: git+https://git.centos.org/rpms/jakarta-commons-httpclient
        cache: https://git.centos.org/repo/pkgs/jakarta-commons-httpclient
        ref: b03f6aef04ad2211c22ef962de72b785edf00d67
        arches: [aarch64, i686, ppc64le, x86_64]
      javassist:
        rationale: Javassist packages
        repository: git+https://git.centos.org/rpms/javassist
        cache: https://git.centos.org/repo/pkgs/javassist
        ref: b2089c52bb120308fe066c291a27e3d2a3291ffd
        arches: [aarch64, i686, ppc64le, x86_64]
      msv:
        rationale: Multi-Schema Validator Requires relaxngDatatype.
        repository: git+https://git.centos.org/rpms/msv
        cache: https://git.centos.org/repo/pkgs/msv
        ref: 7e4b00d2028cc4e8fb9ed5777adcf5a7922b981c
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      pki-servlet-engine:
        rationale: PKI Servlet Engine packages
        repository: git+https://git.centos.org/rpms/pki-servlet-engine
        cache: https://git.centos.org/repo/pkgs/pki-servlet-engine
        ref: 78b5446db08ca988523cbe73f844495e398d1d7f
        arches: [aarch64, i686, ppc64le, x86_64]
      python-nss:
        rationale: Python binding for NSS Provides python-nss for pki-base-java.
        repository: git+https://git.centos.org/rpms/python-nss
        cache: https://git.centos.org/repo/pkgs/python-nss
        ref: dde0861263ed6e758c96e01464f3a27baef1f870
        arches: [aarch64, i686, ppc64le, x86_64]
      relaxngDatatype:
        rationale: RELAX NG packages
        repository: git+https://git.centos.org/rpms/relaxngDatatype
        cache: https://git.centos.org/repo/pkgs/relaxngDatatype
        ref: 53ce735953551625d79e2d78b22f5f380d72f17b
        arches: [aarch64, i686, ppc64le, x86_64]
      relaxngcc:
        rationale: RELAX NG Compiler Compiler Requires msv.
        repository: git+https://git.centos.org/rpms/relaxngcc
        cache: https://git.centos.org/repo/pkgs/relaxngcc
        ref: fe167830c1060ff02f5f352ff9742c8032b18373
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      resteasy:
        rationale: RESTEasy packages
        repository: git+https://git.centos.org/rpms/resteasy
        cache: https://git.centos.org/repo/pkgs/resteasy
        ref: 7ea81f524a563efc6fa80b9ae3cb1dcc65422f24
        buildorder: 17
        arches: [aarch64, i686, ppc64le, x86_64]
      slf4j:
        rationale: Simple Logging Facade for Java Provides slf4j and slf4j-jdk14 for
          pki-base-java.
        repository: git+https://git.centos.org/rpms/slf4j
        cache: https://git.centos.org/repo/pkgs/slf4j
        ref: 30acaf5ccfac594f3a85e8d78fd5e8c8113cac56
        arches: [aarch64, i686, ppc64le, x86_64]
      stax-ex:
        rationale: StAX API extensions Requires bea-stax.
        repository: git+https://git.centos.org/rpms/stax-ex
        cache: https://git.centos.org/repo/pkgs/stax-ex
        ref: e77bbf51ec38c0aaa6e7b9d2d4404dd70e575f66
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      velocity:
        rationale: Velocity packages
        repository: git+https://git.centos.org/rpms/velocity
        cache: https://git.centos.org/repo/pkgs/velocity
        ref: 8ca20943c4b72ee2622629cc353d0228c079e650
        arches: [aarch64, i686, ppc64le, x86_64]
      xalan-j2:
        rationale: Xalan packages Provides xalan-j2 for pki-base-java.
        repository: git+https://git.centos.org/rpms/xalan-j2
        cache: https://git.centos.org/repo/pkgs/xalan-j2
        ref: e2634f8fb286e389de4ff214a2c0ef0fd23cc2fe
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      xerces-j2:
        rationale: Xerces packages
        repository: git+https://git.centos.org/rpms/xerces-j2
        cache: https://git.centos.org/repo/pkgs/xerces-j2
        ref: 591f173be5112093c66f2d10ff88468a8f0c9a2a
        arches: [aarch64, i686, ppc64le, x86_64]
      xml-commons-apis:
        rationale: XML Commons APIs packages
        repository: git+https://git.centos.org/rpms/xml-commons-apis
        cache: https://git.centos.org/repo/pkgs/xml-commons-apis
        ref: c39584827e8ee224ed89e081cbbea6b889c9ae46
        arches: [aarch64, i686, ppc64le, x86_64]
      xml-commons-resolver:
        rationale: XML Commons Resolver packages
        repository: git+https://git.centos.org/rpms/xml-commons-resolver
        cache: https://git.centos.org/repo/pkgs/xml-commons-resolver
        ref: 2f1ac8fb5c51f1d15c0b0cfc7b235476c3570144
        arches: [aarch64, i686, ppc64le, x86_64]
      xml-stylebook:
        rationale: XML Stylebook packages
        repository: git+https://git.centos.org/rpms/xml-stylebook
        cache: https://git.centos.org/repo/pkgs/xml-stylebook
        ref: 9505d2260a682775f91333fec6a8aa0bbaa5f0c0
        arches: [aarch64, i686, ppc64le, x86_64]
      xmlstreambuffer:
        rationale: XML Stream Buffer package Requires stax-ex.
        repository: git+https://git.centos.org/rpms/xmlstreambuffer
        cache: https://git.centos.org/repo/pkgs/xmlstreambuffer
        ref: ab678a7fcf631b76a2f5527351b49e4ebd8bda56
        buildorder: 3
        arches: [aarch64, i686, ppc64le, x86_64]
      xsom:
        rationale: XML Schema Object Model (XSOM) Requires relaxngcc.
        repository: git+https://git.centos.org/rpms/xsom
        cache: https://git.centos.org/repo/pkgs/xsom
        ref: a3496c21bc44efed821ce4259abd0b0d4df85c2b
        buildorder: 3
        arches: [aarch64, i686, ppc64le, x86_64]
...
